Need Old Software

Post Reply
ffeer
1 MB
Posts: 1
Joined: June 30th, 2008, 9:54 am

Need Old Software

Post by ffeer » June 30th, 2008, 10:04 am

I've been culling old file in the process of transitioning to OSX10.4 and discover that in the course of years some old applications have disappeared leaving orphaned files I'd like to access.

Specifically: MacDraw, Procite 4.0.2, DiscDoubler and Canvas 5.

I'd appreciate leads to copies currently useable under 9.2.2 so tat I can access the files for copying to current media.

please reply to [email protected]

thanks
madmann
32 MB
Posts: 56
Joined: December 5th, 2007, 6:49 pm

Re: Need Old Software

Post by madmann » July 5th, 2008, 8:32 am

i can tell you disk doubler will only work up to os 7.6.1

after that no joy

michael
Big Ugly Mich
1 MB
Posts: 1
Joined: February 26th, 2009, 5:13 pm

Re: Need Old Software

Post by Big Ugly Mich » February 26th, 2009, 5:23 pm

Try this site, which admittedly features freeware and shareware, but hey. . . http://www.tucows.com
Post Reply